#------------------------------------------------------------------------
#
#	IBM Software
#	Licensed Material - Property of	IBM
#	(C) Copyright International Business Machines Corp. 2014
#	All Rights Reserved.
#
#	U.S. Government	Users Restricted Rights - Use, duplication or
#	disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#------------------------------------------------------------------------
#  p8-devtree.tcl
#
#
#------------------------------------------------------------------------
#  Add the needed pieces to the device tree to allow Linux to boot
# 

# Set device_type property of root node to be "chrp"
set root_node [ mysim of peer 0 ] 
mysim of setprop $root_node "device_type" "chrp"

# Setup rtas console
set rtas_node [mysim of find_device /rtas]
of::add_rtas_function $rtas_node "get-term-char" mysim
of::add_rtas_function $rtas_node "put-term-char" mysim

# Setup boot arguments for bogus disk
of::set_bootargs "root=/dev/mambobd0 rw console=hvc0"
